Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Interface GroundedIterator

All Superinterfaces:
  SequenceIterator

All Known Implementing Classes:
  ArrayIterator, CompiledMemoClosure.ProgressiveIterator, EmptyIterator, ListIterator, MemoClosure.ProgressiveIterator, NodeArrayIterator, NodeListIterator, RangeIterator, SingleNodeIterator, SingletonIterator, ValueTailIterator

    public interface GroundedIterator

extends SequenceIterator

This interface is an extension to the SequenceIterator interface; it represents a SequenceIterator that is based on an in-memory representation of a sequence, and that is therefore capable of returned a SequenceValue containing all the items in the sequence.

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Method Summary
`Value` | `materialize()` Return a Value containing all the items in the sequence returned by this SequenceIterator.

Methods inherited from interface net.sf.saxon.om.SequenceIterator
`current, getAnother, getProperties, next, position`

Method Detail

### materialize

    Value materialize()
                      throws XPathException

  Return a Value containing all the items in the sequence returned by this SequenceIterator. This should be an "in-memory" value, not a Closure.

  Returns:
    the corresponding Value
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.